Bug 1444928 - UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 17: invalid continuation byte
Summary: UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 17: inva...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: armv7l
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5206b192082b3aa61261cac6a3a...
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-04-24 14:44 UTC by Paul Whalen
Modified: 2018-05-29 11:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:53:37 UTC


Attachments (Terms of Use)
File: anaconda-tb (102.54 KB, text/plain)
2017-04-24 14:45 UTC, Paul Whalen
no flags Details
File: environ (529 bytes, text/plain)
2017-04-24 14:45 UTC, Paul Whalen
no flags Details
File: lsblk_output (1.31 KB, text/plain)
2017-04-24 14:45 UTC, Paul Whalen
no flags Details
File: nmcli_dev_list (1.57 KB, text/plain)
2017-04-24 14:45 UTC, Paul Whalen
no flags Details
File: os_info (447 bytes, text/plain)
2017-04-24 14:45 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2017-04-24 14:44:59 UTC
Description of problem:
Attempted graphical network installation on a Trimslice.

Version-Release number of selected component:
anaconda-26.21.3-1

The following was filed automatically by anaconda:
anaconda 26.21.3-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/spokes/network.py", line 846, in _dev_title
    escape_markup(dev_cfg.device.get_product() or ""))
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/spokes/network.py", line 729, in add_dev_cfg
    self._dev_title(dev_cfg),
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/spokes/network.py", line 781, in add_device_to_list
    self.add_dev_cfg(DeviceConfiguration(device=device, con=con))
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/spokes/network.py", line 442, in initialize
    self.add_device_to_list(device)
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1553, in initialize
    self.network_control_box.initialize()
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 174, in _createBox
    spoke.initialize()
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 370, in refresh
    self._createBox()
  File "/usr/lib/python3.6/site-packages/pyanaconda/ui/gui/__init__.py", line 1031, in _on_continue_clicked
    nextAction.refresh()
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 17: invalid continuation byte

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/libexec/system-python  /sbin/anaconda
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc6.git0.1.fc26.armv7hl
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26

Comment 1 Paul Whalen 2017-04-24 14:45:04 UTC
Created attachment 1273624 [details]
File: anaconda-tb

Comment 2 Paul Whalen 2017-04-24 14:45:06 UTC
Created attachment 1273625 [details]
File: environ

Comment 3 Paul Whalen 2017-04-24 14:45:07 UTC
Created attachment 1273626 [details]
File: lsblk_output

Comment 4 Paul Whalen 2017-04-24 14:45:09 UTC
Created attachment 1273627 [details]
File: nmcli_dev_list

Comment 5 Paul Whalen 2017-04-24 14:45:10 UTC
Created attachment 1273628 [details]
File: os_info

Comment 6 Paul Whalen 2017-05-23 15:50:40 UTC
Similar problem has been detected:

Begin network installation using VNC.

addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-2.fc26.armv7hl
package:        anaconda-26.21.6-1
product:        Fedora
reason:         UnicodeDecodeError: 'utf-8' codec can't decode byte 0x80 in position 17: invalid start byte
release:        Cannot get release name.
version:        26

Comment 7 hkoba 2017-06-17 05:39:13 UTC
Similar problem has been detected:

I encountered this when I push next button in "Pre-release warning confirmation dialog" in Japanese installation.

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
hashmarkername: anaconda
kernel:         4.11.0-2.fc26.x86_64
other involved packages: anaconda-gui-26.21.7-1.fc26.x86_64
package:        anaconda-core-26.21.7-1.fc26.x86_64
product:        Fedora
reason:         UnicodeDecodeError: 'utf-8' codec can't decode byte 0x80 in position 11: invalid start byte
release:        Fedora release 26 (Twenty Six)
version:        26

Comment 8 hkoba 2017-06-17 06:17:59 UTC
Similar problem has been detected:

Same occurs in English mode.

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
hashmarkername: anaconda
kernel:         4.11.0-2.fc26.x86_64
other involved packages: anaconda-gui-26.21.7-1.fc26.x86_64
package:        anaconda-core-26.21.7-1.fc26.x86_64
product:        Fedora
reason:         UnicodeDecodeError: 'utf-8' codec can't decode byte 0x95 in position 11: invalid start byte
release:        Fedora release 26 (Twenty Six)
version:        26

Comment 9 Radek Vykydal 2017-06-19 08:50:11 UTC
Seems like a duplicate of bug 1445601.

Comment 10 Fedora End Of Life 2018-05-03 08:31:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:53:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.